package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户登记结果对象 hs_yiqing_user_que_result
 *
 * @author willalp
 * @date 2022-03-29
 */

@TableName("hs_yiqing_user_que_result")
public class HsYiqingUserQueResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 用户id */
    @Excel(name = "用户id")
    private String yqUserId;

    /** 问题id */
    @Excel(name = "问题id")
    private String yqQueId;

    /** 答案内容 */
    @Excel(name = "答案内容")
    private String queResultText;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setYqUserId(String yqUserId)
    {
        this.yqUserId = yqUserId;
    }

    public String getYqUserId()
    {
        return yqUserId;
    }
    public void setYqQueId(String yqQueId)
    {
        this.yqQueId = yqQueId;
    }

    public String getYqQueId()
    {
        return yqQueId;
    }
    public void setQueResultText(String queResultText)
    {
        this.queResultText = queResultText;
    }

    public String getQueResultText()
    {
        return queResultText;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("yqUserId", getYqUserId())
            .append("yqQueId", getYqQueId())
            .append("queResultText", getQueResultText())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
